## luametatex 2.11.08+ds

=== source/libraries/qrcodegen/Makefile ===
# 
# Makefile for QR Code generator (C)
# 
# Copyright (c) Project Nayuki. (MIT License)
# https://www.nayuki.io/page/qr-code-generator-library
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of
# this software and associated documentation files (the "Software"), to deal in
# the Software without restriction, including without limitation the rights to
# use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
# the Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
# - The above copyright notice and this permission notice shall be included in
#   all copies or substantial portions of the Software.
# - The Software is provided "as is", without warranty of any kind, express or
#   implied, including but not limited to the warranties of merchantability,
#   fitness for a particular purpose and noninfringement. In no event shall the
#   authors or copyright holders be liable for any claim, damages or other
#   liability, whether in an action of contract, tort or otherwise, arising from,
#   out of or in connection with the Software or the use or other dealings in the
#   Software.
# 


# ---- Configuration options ----

# External/implicit variables:
# - CC: The C compiler, such as gcc or clang.
# - CFLAGS: Any extra user-specified compiler flags (can be blank).

# Recommended compiler flags:
CFLAGS += -std=c99 -O

# Extra flags for diagnostics:
# CFLAGS += -g -Wall -Wextra -Wpedantic -Wconversion -Wsign-conversion -fsanitize=undefined,address


# ---- Controlling make ----

# Clear default suffix rules
.SUFFIXES:

# Don't delete object files
.SECONDARY:

# Stuff concerning goals
.DEFAULT_GOAL = all
.PHONY: all clean


# ---- Targets to build ----

LIB = qrcodegen
LIBFILE = lib$(LIB).a
LIBOBJ = qrcodegen.o
MAINS = qrcodegen-demo qrcodegen-test

# Build all binaries
all: $(LIBFILE) $(MAINS)

# Delete build output
clean:
	rm -f -- $(LIBOBJ) $(LIBFILE) $(MAINS:=.o) $(MAINS)
	rm -rf .deps

# Executable files
%: %.o $(LIBFILE)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< -L . -l $(LIB)

# Special executable
qrcodegen-test: qrcodegen-test.c $(LIBOBJ:%.o=%.c)
	$(CC) $(CFLAGS) $(LDFLAGS) -DQRCODEGEN_TEST -o $@ $^

# The library
$(LIBFILE): $(LIBOBJ)
	$(AR) -crs $@ -- $^

# Object files
%.o: %.c .deps/timestamp
	$(CC) $(CFLAGS) -c -o $@ -MMD -MF .deps/$*.d $<

# Have a place to store header dependencies automatically generated by compiler
.deps/timestamp:
	mkdir -p .deps
	touch .deps/timestamp

# Make use of said dependencies if available
-include .deps/*.d

=== source/libraries/softposit/build/Linux-x86_64-GCC/Makefile ===
#============================================================================
#
#This C source file is part of the SoftPosit Posit Arithmetic Package
#by S. H. Leong (Cerlane).
#
#Copyright 2017, 2018 A*STAR.  All rights reserved.
#
#This C source file was based on SoftFloat IEEE Floating-Point Arithmetic
#Package, Release 3d, by John R. Hauser.
#
#
# Copyright 2011, 2012, 2013, 2014, 2015, 2016, 2017 The Regents of the
# University of California.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
#  1. Redistributions of source code must retain the above copyright notice,
#     this list of conditions, and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions, and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  3. Neither the name of the University nor the names of its contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS "AS IS", AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, ARE
# DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#=============================================================================

SOURCE_DIR ?= ../../source
PYTHON_DIR ?= ../../python
SPECIALIZE_TYPE ?= 8086-SSE
COMPILER ?= gcc

SOFTPOSIT_OPTS ?=  \
  -DINLINE_LEVEL=5 #\
  -DSOFTPOSIT_QUAD -lquadmath 

COMPILE_PYTHON = \
  $(COMPILER) -fPIC -c $(PYTHON_DIR)/softposit_python_wrap.c \
		-I/usr/include/python \
		-I$(SOURCE_DIR)/include -I.
COMPILE_PYTHON3 = \
  $(COMPILER) -fPIC -c $(PYTHON_DIR)/softposit_python_wrap.c \
		-I/usr/include/python3 \
		-I$(SOURCE_DIR)/include -I.
LINK_PYTHON = \
  ld -shared  *.o -o $(PYTHON_DIR)/_softposit.so


ifeq ($(OS),Windows_NT)
     DELETE = del /Q /F
else
     DELETE = rm -f
endif

C_INCLUDES = -I. -I$(SOURCE_DIR)/$(SPECIALIZE_TYPE) -I$(SOURCE_DIR)/include
OPTIMISATION  = -O2 #-march=core-avx2
COMPILE_C = \
  $(COMPILER) -c -Werror-implicit-function-declaration -DSOFTPOSIT_FAST_INT64 \
    $(SOFTPOSIT_OPTS) $(C_INCLUDES) $(OPTIMISATION) \
    -o $@ 
MAKELIB = ar crs $@
MAKESLIB = $(COMPILER) -shared $^

OBJ = .o
LIB = .a
SLIB = .so

.PHONY: all
all: softposit$(LIB)

quad: SOFTPOSIT_OPTS+= -DSOFTPOSIT_QUAD -lquadmath
quad: all

python2: SOFTPOSIT_OPTS+= -fPIC
python2: all
	$(COMPILE_PYTHON)
	$(LINK_PYTHON)
	
python3: SOFTPOSIT_OPTS+= -fPIC
python3: all
	$(COMPILE_PYTHON3)
	$(LINK_PYTHON)

julia: SOFTPOSIT_OPTS+= -fPIC
julia: softposit$(SLIB)



OBJS_PRIMITIVES = 

OBJS_SPECIALIZE = 

OBJS_OTHERS = \
  s_addMagsP8$(OBJ) \
  s_subMagsP8$(OBJ) \
  s_mulAddP8$(OBJ) \
  p8_add$(OBJ) \
  p8_sub$(OBJ) \
  p8_mul$(OBJ) \
  p8_div$(OBJ) \
  p8_sqrt$(OBJ) \
  p8_to_p16$(OBJ) \
  p8_to_p32$(OBJ) \
  p8_to_pX2$(OBJ) \
  p8_to_i32$(OBJ) \
  p8_to_i64$(OBJ) \
  p8_to_ui32$(OBJ) \
  p8_to_ui64$(OBJ) \
  p8_roundToInt$(OBJ) \
  p8_mulAdd$(OBJ) \
  p8_eq$(OBJ) \
  p8_le$(OBJ) \
  p8_lt$(OBJ) \
  quire8_fdp_add$(OBJ) \
  quire8_fdp_sub$(OBJ) \
  ui32_to_p8$(OBJ) \
  ui64_to_p8$(OBJ) \
  i32_to_p8$(OBJ) \
  i64_to_p8$(OBJ) \
  s_addMagsP16$(OBJ) \
  s_subMagsP16$(OBJ) \
  s_mulAddP16$(OBJ) \
  p16_to_ui32$(OBJ) \
  p16_to_ui64$(OBJ) \
  p16_to_i32$(OBJ) \
  p16_to_i64$(OBJ) \
  p16_to_p8$(OBJ) \
  p16_to_p32$(OBJ) \
  p16_to_pX2$(OBJ) \
  p16_roundToInt$(OBJ) \
  p16_add$(OBJ) \
  p16_sub$(OBJ) \
  p16_mul$(OBJ) \
  p16_mulAdd$(OBJ) \
  p16_div$(OBJ) \
  p16_eq$(OBJ) \
  p16_le$(OBJ) \
  p16_lt$(OBJ) \
  p16_sqrt$(OBJ) \
  quire16_fdp_add$(OBJ) \
  quire16_fdp_sub$(OBJ) \
  quire_helper$(OBJ) \
  ui32_to_p16$(OBJ) \
  ui64_to_p16$(OBJ) \
  i32_to_p16$(OBJ) \
  i64_to_p16$(OBJ) \
  s_addMagsP32$(OBJ) \
  s_subMagsP32$(OBJ) \
  s_mulAddP32$(OBJ) \
  p32_to_ui32$(OBJ) \
  p32_to_ui64$(OBJ) \
  p32_to_i32$(OBJ) \
  p32_to_i64$(OBJ) \
  p32_to_p8$(OBJ) \
  p32_to_p16$(OBJ) \
  p32_to_pX2$(OBJ) \
  p32_roundToInt$(OBJ) \
  p32_add$(OBJ) \
  p32_sub$(OBJ) \
  p32_mul$(OBJ) \
  p32_mulAdd$(OBJ) \
  p32_div$(OBJ) \
  p32_eq$(OBJ) \
  p32_le$(OBJ) \
  p32_lt$(OBJ) \
  p32_sqrt$(OBJ) \
  quire32_fdp_add$(OBJ) \
  quire32_fdp_sub$(OBJ) \
  ui32_to_p32$(OBJ) \
  ui64_to_p32$(OBJ) \
  i32_to_p32$(OBJ) \
  i64_to_p32$(OBJ) \
  s_approxRecipSqrt_1Ks$(OBJ) \
  c_convertDecToPosit8$(OBJ) \
  c_convertPosit8ToDec$(OBJ) \
  c_convertDecToPosit16$(OBJ) \
  c_convertPosit16ToDec$(OBJ) \
  c_convertQuire8ToPosit8$(OBJ) \
  c_convertQuire16ToPosit16$(OBJ) \
  c_convertQuire32ToPosit32$(OBJ) \
  c_convertDecToPosit32$(OBJ) \
  c_convertPosit32ToDec$(OBJ) \
  c_int$(OBJ) \
  s_addMagsPX2$(OBJ) \
  s_subMagsPX2$(OBJ) \
  s_mulAddPX2$(OBJ) \
  pX2_add$(OBJ) \
  pX2_sub$(OBJ) \
  pX2_mul$(OBJ) \
  pX2_div$(OBJ) \
  pX2_mulAdd$(OBJ) \
  pX2_roundToInt$(OBJ) \
  pX2_sqrt$(OBJ) \
  pX2_eq$(OBJ) \
  pX2_le$(OBJ) \
  pX2_lt$(OBJ) \
  ui32_to_pX2$(OBJ) \
  ui64_to_pX2$(OBJ) \
  i32_to_pX2$(OBJ) \
  i64_to_pX2$(OBJ) \
  c_convertQuireX2ToPositX2$(OBJ) 
 

OBJS_ALL := $(OBJS_PRIMITIVES) $(OBJS_SPECIALIZE) $(OBJS_OTHERS) 

$(OBJS_ALL): \
  platform.h \
  $(SOURCE_DIR)/include/primitives.h
 
$(OBJS_SPECIALIZE) $(OBJS_OTHERS): \
  $(SOURCE_DIR)/include/softposit_types.h $(SOURCE_DIR)/include/internals.h \
  $(SOURCE_DIR)/$(SPECIALIZE_TYPE)/specialize.h \
  $(SOURCE_DIR)/include/softposit.h 

$(OBJS_PRIMITIVES) $(OBJS_OTHERS): %$(OBJ): $(SOURCE_DIR)/%.c
	$(COMPILE_C) $(SOURCE_DIR)/$*.c

$(OBJS_SPECIALIZE): %$(OBJ): $(SOURCE_DIR)/$(SPECIALIZE_TYPE)/%.c
	$(COMPILE_C) $(SOURCE_DIR)/$(SPECIALIZE_TYPE)/$*.c

softposit$(LIB): $(OBJS_ALL) 
	$(MAKELIB) $^
	
softposit$(SLIB): $(OBJS_ALL) 
	$(MAKESLIB) -o $@


.PHONY: clean
clean:
	$(DELETE) $(OBJS_ALL) softposit_python_wrap.o softposit$(LIB) softposit$(SLIB)

=== debian/changelog ===
luametatex (2.11.08+ds-1) unstable; urgency=medium

  * New upstream version, suitable for new ConTeXt.
    - Refresh patches.
  * Bump Standards version, no changes needed.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 30 Oct 2025 21:56:16 +0100

=== debian/control ===
Source: luametatex
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Hilmar Preuße <hille42@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libmimalloc-dev
Standards-Version: 4.7.2
Homepage: https://github.com/contextgarden/luametatex
Vcs-Browser: https://github.com/debian-tex/luametatex
Vcs-Git: https://github.com/debian-tex/luametatex.git

Package: luametatex
Architecture: any
Breaks: context (<< 2025.09.21)
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Next generation ConTeXt processing engine
 The LuaMetaTeX program is a light weight variant of LuaTeX. This
 program finds its origin in parts of TeX (the original program, eTeX
 (some extensions), pdfTeX (more extensions) Aleph (based on Omega,
 directions) and of course LuaTeX (lots of things).
 .
 This is a follow up on the LuaTeX project. The source is considered
 part of the ConTeXt distribution and managed by the ConTeXt development
 team and the ConTeXt user group. That way it can be guaranteed that the
 engine and this TeX macro package work together as expected. The idea
 is that users can easily compile the source themselves and that way
 have a guaranteed long term (minimal) TeX based installation. Because
 the management scripts are in Lua, only one binary is needed to serve
 the ConTeXt distribution.
 .
 In the source code it was tried to stay close to the ancestors, LuaTeX,
 pdfTeX, eTeX and TeX, but in the meantime due to additions there is
 quite some diverge. There are new primitives and submechanisms, there
 is more control over the inner workings, font handling is mostly
 delegated to Lua and there is no built-in backend. The code base is
 all-inclusive and has no (nor will have) dependencies on external
 libraries. Performance and memory consumption have been optimized and
 the additions (compared to LuaTeX) don’t have a negative impact.

=== debian/watch ===
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic).
#http://example.com/downloads.html \
#    files/luametatex-([\d\.]+)\.tar\.gz

# Uncomment to examine an FTP server.
#ftp://ftp.example.com/pub/luametatex-(.*)\.tar\.gz

# SourceForge hosted projects.
#http://sf.net/luametatex/ luametatex-(.*)\.tar\.gz

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/contextgarden/luametatex/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
opts=repack,repacksuffix=+ds,compression=gz,dversionmangle=s/\+ds// \
    https://github.com/contextgarden/luametatex/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# PyPI.
#https://pypi.debian.net/luametatex/luametatex-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git.
#opts="mode=git" http://git.example.com/luametatex.git \
#    refs/tags/v([\d\.]+)
